hurd (1:0.9.git20210404-7) unstable; urgency=medium

  * patches/git-trivfs_server.patch: Restore making machdev_trivfs_server
    blocking. Notably fixes e100 driver.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Apr 2021 19:09:59 +0000

hurd (1:0.9.git20210404-6) unstable; urgency=medium

  * rules: Drop hurd-dbg migration rule, now outdated. Exclude libdde* from
    stripping, since we are not using the .so files, we would have no
    debugging symbol.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Apr 2021 22:09:45 +0000

hurd (1:0.9.git20210404-5) unstable; urgency=medium

  * rules: Fix build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Apr 2021 14:09:19 +0000

hurd (1:0.9.git20210404-4) unstable; urgency=medium

  * rules: Fix creating /servers/{exec,startup} for hurd-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Apr 2021 12:36:02 +0000

hurd (1:0.9.git20210404-3) unstable; urgency=medium

  * hurd-udeb.links: Add missing libexec links.
  * rules: Add /servers/{exec,startup} to hurd-udeb for bootup.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 Apr 2021 22:51:57 +0000

hurd (1:0.9.git20210404-2) unstable; urgency=medium

  * hurd-udeb.install.in: Fix a remaining libexec path.
  * patches/git-pci-arbiter-option.patch: Fix pci-arbiter's --device-master-port
    option name.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Apr 2021 13:05:46 +0000

hurd (1:0.9.git20210404-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/cross-link.patch: Upstreamed.
    - patches/git-const_string_t.diff: Upstreamed.
    - patches/git-continued.diff: Upstreamed.
    - patches/git-fifo-inode.diff: Upstreamed.
    - patches/git-libddekit_pic.diff: Upstreamed.
    - patches/git-status-continued.diff: Upstreamed.
    - patches/git-wnowait-def.diff: Upstreamed.
    - patches/netdde_log.patch: Upstreamed.
    - patches/posix-sigcodes.patch: Upstreamed.
    - patches/init_try_runsystem.gnu.patch: Refreshed.
    - patches/libexec.patch: Refreshed.
    - hurd.install.in,rules: Update from /usr/lib/hurd to /usr/libexec
    - control: Make hurd-libs0.3 break netdde with older machdev_trivfs_init call.
    - patches/git-pci-arbiter-non-bootstrap-fix.patch: Fix pci-arbiter
      translator startup.
    - patches/git-libmachdev-non-bootstrap-fix.patch: Fix libmachdev
      translator startup.
  * hurd.links: Add /usr/libexec links to Debianish paths.
  * rules: Fix libexecdir to /usr/libexec.
  * patches/procfs-compatible: Remove, now useless.
  * patches/tmp_exec_startup.patch: Try to disable.
  * patches/git-fifo-inode.diff: Fix diffing several fifo input.
  * rules: Also make a static version of pci-arbiter and acpi.
  * hurd-udeb.install.in: Remove rumpdisk.static, useless.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Apr 2021 16:27:48 +0000

hurd (1:0.9.git20201127-7) unstable; urgency=medium

  * hurd.postinst,local/runsystem: Revert fixing size of random see, the
    random translator does not care about the size.
  * local/setup-translators: Create initial random seed if not existing yet.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Feb 2021 10:52:02 +0000

hurd (1:0.9.git20201127-6) unstable; urgency=medium

  * hurd-dev.install.in: Install missing libddekit_pic.a
  * hurd.postinst,local/runsystem: Fix size of initial random seed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Feb 2021 00:34:47 +0000

hurd (1:0.9.git20201127-5) unstable; urgency=medium

  * patches/git-wnowait-def.diff: Fix missing WNOWAIT definition.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2020 02:03:00 +0000

hurd (1:0.9.git20201127-4) unstable; urgency=medium

  * patches/git-continued.diff, git-status-continued.diff,
  git-wnowait.diff: Add proper support for waitid.
  * control: Add missing ${misc:Pre-Depends}.
  * hurd.lintian-overrides: Update overrides.
  * hurd-libs0.3.lintian-overrides: Add override.
  * rules: Use DEB_CFLAGS_MAINT_APPEND instead of DEB_CFLAGS_APPEND.
  * patches/git-libddekit_pic.diff: Fix PIC objects in libmachdevdde.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Dec 2020 22:33:39 +0000

hurd (1:0.9.git20201127-3) unstable; urgency=medium

  * patches/cthreads.patch: Restore the complete original file.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Dec 2020 11:14:40 +0000

hurd (1:0.9.git20201127-2) unstable; urgency=medium

  * patches/cthreads.patch: Also restore struct condition.
  * patches/git-const_string_t.diff: Add const_string_t type.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 10:09:20 +0000

hurd (1:0.9.git20201127-1) unstable; urgency=medium

  * New upstream snapshot.
    - dev-cons.patch: Upstreamed.
  * hurd-udeb.install: Do no install rumpdisk.static, we don't actually need
    to start it early in the d-i case.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 27 Nov 2020 19:30:34 +0000

hurd (1:0.9.git20201116-3) unstable; urgency=medium

  * rules: Fix MAKEDEV in hurd-udeb: we do not have bash there, but using
    busybox-sh should be fine.
  * hurd-udeb.install: Install rumpdisk.static.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2020 14:29:14 +0000

hurd (1:0.9.git20201116-2) unstable; urgency=medium

  * patches/dev-cons.patch: Fix accessing /dev/cons nodes.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Nov 2020 00:14:47 +0000

hurd (1:0.9.git20201116-1) unstable; urgency=medium

  * New upstream snapshot.
  * local/setup-translator: Create rumpdisk entries.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Nov 2020 17:12:21 +0000

hurd (1:0.9.git20201114-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/atime-equal: Upstreamed.
    - patches/atime-default: Upstreamed.
    - control: Break old netdde with old libmachdev API.
  * rules: Build static version of rumpdisk.
  * patches/cthreads.patch: Add stub cthreads.h for fixing glibc header
    inclusion.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Nov 2020 22:44:08 +0000

hurd (1:0.9.git20200930-2) unstable; urgency=medium

  * patches/atime-equal: Fix relatime support.
  * patches/atime-default: Enable relatime by default.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Oct 2020 20:42:12 +0000

hurd (1:0.9.git20200930-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/pipe_write_partial: Upstreamed.
    - control: Break old netdde with old libmachdev API.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Build-depend on libc0.3-dev with upstream user-level drivers
    RPCs.
  * control: Bump debhelper compat to 12.
  * rules: move --list-missing to dh_missing.
  * rules: Use a stamp file to avoid multiple configures.
  * patches/pipe_write_partial: Enforce write_limit for large writes.
  * patches/newRPC.patch: Remove, now useless.
  * control: Rename noprof profile to pkg.hurd.noprof (Closes: Bug#969956)
  * rules: Update conditions accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Sep 2020 20:16:29 +0000

hurd (1:0.9.git20200718-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/build-rump: Upstreamed.
    - patches/pathconf: Upstreamed.
    - patches/rlock: Upstreamed.
    - patches/xattr: Upstreamed.
    - patches/SO_RCV+SNDBUF: Upstreamed.
    - patches/send_crash: Upstreamed.
    - control: Build-depend on gnumach-dev with upstream user-level drivers
      RPCs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Jul 2020 19:48:11 +0000

hurd (1:0.9.git20200416-6) unstable; urgency=medium

  * patches/SO_RCV+SNDBUF: Add support for {get,set}sockopt(SO_{RECV,SND}BUF).
  * patches/send_crash: Fix crash on send/recv due to bogus ref counting.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jul 2020 17:11:32 +0000

hurd (1:0.9.git20200416-5) unstable; urgency=medium

  * control: Build-depend on mig-for-host instead of mig.
  * patches/xattr: Update to upstream Hurd-reserved xattr index for "gnu.*".

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Jun 2020 08:19:54 +0000

hurd (1:0.9.git20200416-4) unstable; urgency=medium

  * patches/pathconf: Add missing io_pathconf cases.
  * patches/rlock: Fix atomicity of record locks.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Jun 2020 19:11:48 +0000

hurd (1:0.9.git20200416-3) unstable; urgency=medium

  * rules: Pass --build and --host to configure so it always looks for
    <triplet>-mig.
  * hurd-dev.install: Install all headers in multi-arch directory
    (Closes: Bug#959227).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 May 2020 19:19:16 +0000

hurd (1:0.9.git20200416-2) unstable; urgency=medium

  * hurd-dev.install, hurd.install: fix renaming stage3 to stage2.
  * control: Fix more stage3 renaming to stage2. Add missing hurd-libs0.3 ->
    hurd-dev dependency.
  * control: Try to re-enable hurd-headers-dev package declaration
    (Closes: #838392).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Apr 2020 19:59:35 +0000

hurd (1:0.9.git20200416-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes build with gcc-10 (Closes: Bug#955447).
    - control: Add librumpdisk-dev build-depend.
    - hurd-udeb.install.in: Add /hurd/rumpdisk.
  * debian/rules: Pass includedir=/usr/include.
  * debian/hurd-dev.install.in: Install sys/ headers in multiarch directory,
    to avoid sys/procfs.h conflict with libc linux headers. Also move ddekit
    headers there. Ideally we will move all other hurd headers too, but that
    will need glibc >= 2.30-5.
  * debian/hurd-headers-dev.install.in: Likewise.
  * debian/control,rules: Drop stage2 and rename stage3 to stage2.
  * patches/build-rump: Really enable building rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Apr 2020 19:22:44 +0000

hurd (1:0.9.git20200330-1) unstable; urgency=medium

  * New upstream snapshot.
    - control: Break old version of netdde.
    - patches/external.patch: Build libmachdevdde.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:24:30 +0000

hurd (1:0.9.git20200314-1) unstable; urgency=medium

  * New upstream snapshot
  * rules [stage1 stage2 stage3] (CONFIGURE_ARGS): Add --without-libcrypt.
  * rules: Fix staged build.
  * patches/getty-noclear: Discard --noclear passed by inittab.
  * hurd-udeb.install: Add acpi and shutdown translators, to fix d-i shutting
    down box.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Mar 2020 15:35:28 +0000

hurd (1:0.9.git20191228-1) unstable; urgency=medium

  * New upstream snapshot
    - patches/git-rlock-len-0.patch: Merged.
    - patches/memleak: Merged.
    - patches/external.patch: Refresh.
  * local/setup-translators: Fix setting permissions on default-pager.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Dec 2019 22:49:43 +0000

hurd (1:0.9.git20191029-3) unstable; urgency=medium

  * patches/memleak: Fix memory leak in file record support.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Nov 2019 17:40:21 +0000

hurd (1:0.9.git20191029-2) unstable; urgency=medium

  * patches/git-rlock-len-0.patch: Fix len=0 case.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Nov 2019 14:16:28 +0000

hurd (1:0.9.git20191029-1) unstable; urgency=medium

  * New upstream snapshot (Closes: Bug#942558).
    - acpi-static-link.patch: Upstreamed.
    - shutdown-static-link.patch: Upstreamed.
    - rename_dir_excl.patch: Upstreamed.
  * rules: Fix noudeb profile build with latest debhelper.
  * control: Replace autotools-dev dep with debhelper (>= 9.20160114) dep.
  * rules: Drom --with autotools_dev.
  * rules: Use dpkg's architecture.mk
  * source/options: Drop compression option.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Oct 2019 01:14:03 +0000

hurd (1:0.9.git20190331-8) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * hurd.install: Take over initscripts' runsystem.sysv (Closes: Bug#928918)
  * control: Make hurd Replace initscripts accordingly.
  * rules: Fix calling chmod u+s in binary-arch targets only.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Aug 2019 23:00:29 +0000

hurd (1:0.9.git20190331-7) unstable; urgency=medium

  * Lower netdde dependency to recommends to make chroots easier to create.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 21:46:33 +0000

hurd (1:0.9.git20190331-6) unreleased; urgency=medium

  * Upload to unreleased.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Jul 2019 07:04:40 +0000

hurd (1:0.9.git20190331-5) unstable; urgency=medium

  * patches/rename_dir_excl.patch: Fix taking excl into account in libdiskfs.
    Fixes mv from coreutils 8.30.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Apr 2019 18:51:21 +0000

hurd (1:0.9.git20190331-4) unstable; urgency=medium

  * patches/shutdown-static-link.patch: Really fix static link.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Apr 2019 16:07:53 +0000

hurd (1:0.9.git20190331-3) unstable; urgency=medium

  * patches/shutdown-static-link.patch: Fix static link.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Apr 2019 14:55:30 +0000

hurd (1:0.9.git20190331-2) unstable; urgency=medium

  * patches/acpi-static-link.patch: Fix static link.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Apr 2019 09:42:50 +0000

hurd (1:0.9.git20190331-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes build with lwip 2.1.2.
    - patches/git-fix-dopen: Merged.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Mar 2019 18:46:17 +0000

hurd (1:0.9.git20190303-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-gcrypt-version.patch: Merged.
    - patches/git-tar-symlinks.patch: Merged.
    - patches/git-fix-dopen: Fix dopen() with non-path which happens to be a
      path.
  * patches/run.patch: Drop, now useless with proper sysvinit support
    (Closes: #920618).
  * setup-translators: Make sure /dev/shm is a symlink to /tmp for now. Set up
    acpi and shutdown translators.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2019 12:48:45 +0000

hurd (1:0.9.git20181030-4) unstable; urgency=medium

  * debian/patches/git-gcrypt-version.patch: Avoid requiring the libgcrypt20
    version we were built against.
  * debian/patches/git-tar-symlinks.patch: Fix error for tar's symlink
    overwrite.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Jan 2019 13:51:32 +0000

hurd (1:0.9.git20181030-3) unstable; urgency=medium

  * debian/patches/io-write-crash.patch: Avoid ext2fs crash on faulty pager
    requests.
  * debian/local/setup-translators: Fix fixing shm.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Nov 2018 00:25:05 +0000

hurd (1:0.9.git20181030-2) unstable; urgency=medium

  * local/setup-translators: Allow default-pager for everybody.
  * control: Introduce the stage1 and stage2 binary packages.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 16 Nov 2018 17:22:43 +0100

hurd (1:0.9.git20181030-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-gcc-8: Upstreamed.
    - rules: Build prof version of pci-arbiter
    - hurd-udeb.install: Install pci-arbiter.
    - hurd-prof.lintian-overrides: Avoid lintian warning about prof version of
    pci-arbiter being statically linked.
    - local/setup-translators: Setup pci-arbiter translator.
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Oct 2018 01:05:20 +0000

hurd (1:0.9.git20180603-3) unstable; urgency=medium

  * rules: Build profiling version of lwip.
  * rules: Add missing cross-build preseeding.
  * patches/git-gcc-8: Fix build with gcc-8.
  * control: Bump Standards-Version to 4.1.5 (no changes).
  * control: Mark hurd-doc Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jul 2018 17:56:50 +0000

hurd (1:0.9.git20180603-2) unstable; urgency=medium

  * control: Build-depend on liblwip-dev, to add lwip-based TCP/IP stack.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Jun 2018 22:52:05 +0000

hurd (1:0.9.git20180603-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes).
  * hurd-udeb.install.in: Fix installing console drivers.
  * hurd.postinst: Setup bits needed for random translator before anything
    might be using it.
  * hurd.postinst, random-hurd.sh, local/runsystem, setup-translators,
    local/urandom-hurd.sh: use /var/lib/random-seed like upstream does instead
    of /var/spool/random-seed.
  * local/runsystem: Set up /dev/null early.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jun 2018 15:45:24 +0000

hurd (1:0.9.git20180422-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/hurd-udeb.install.in: Move console modules to /lib
    - debian/hurd.install.in: Likewise, and drop having to move msgids
    - debian/rules: Set prefix, libdir, libexecdir, datarootdir, sysconfdir,
    localstatedir paths at configure time. Use DESTDIR/--destdir instead of
    prefix at install time instead of explicit variables.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Apr 2018 15:33:52 +0000

hurd (1:0.9.git20180305-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2018 08:35:38 +0000

hurd (1:0.9.git20180222-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/patches/git-fix-sync: Merged.
    - debian/patches/git-proc_mounts_firmlink.patch: Merged.
    - debian/patches/git-rpcscan-link: Merged.
  * debian/rules: Preseed more symbols for rebootstrap.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Feb 2018 20:58:25 +0000

hurd (1:0.9.git20180108-2) unstable; urgency=medium

  * debian/patches/git-fix-sync: Cherry-pick fix sync at shutdown.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Jan 2018 21:10:10 +0000

hurd (1:0.9.git20180108-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #807924)
  * debian/patches/exec_filename_exec.patch,exec_filename_fs.patch,
    exec_filename_use.patch: Keep compatibility.
  * debian/patches/exec_filename_fix.patch: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Jan 2018 00:24:18 +0000

hurd (1:0.9.git20171119-3) unstable; urgency=medium

  * patches/hash-weakref: New patch to fix use-after-free. Closes: Bug#882507.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Dec 2017 20:09:37 +0000

hurd (1:0.9.git20171119-2) unstable; urgency=medium

  * patches/pie-core: New patch to add at_entry note for PIE core dumps.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Dec 2017 01:40:05 +0000

hurd (1:0.9.git20171119-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Bump Standards-Version to 4.1.1 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Nov 2017 13:24:00 +0000

hurd (1:0.9.git20170910-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add libgcrypt20-dev build dependency.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Sep 2017 23:53:29 +0000

hurd (1:0.9.git20170507-1) unstable; urgency=medium

  * New upstream snapshot.
  * backport git-26e774bab06eab72847a7ca052a90d5319ad658a to fix glibc build.
  * backport git-019f9923e879ff326b14b2de04c6939c07ccb55b to drop spurious
    ext2fs warnings in d-i.
  * patches/exec_set_exe.patch: Avoid erroring out when proc does not support
    proc_set_exe.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Jun 2017 19:25:32 +0000

hurd (1:0.9.git20170310-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use canonical anonscm vcs URL.
  * patches/exec_set_exe.patch: Fix crash in procfs when exe is empty.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Mar 2017 23:09:53 +0000

hurd (1:0.9.git20170304-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: Copy exe value on fork. Closes: Bug#851729.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Mar 2017 20:10:51 +0000

hurd (1:0.9.git20170117-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: New patch to implement /proc/<pid>/exe.
  * control: Break old versions of all gnumach packages for vm_wire_all.
  * debian/local/runsystem: Do not hardcode TERM_TYPE to virtual, fixes
    special handling of serial installation case.
  * patches/procfs: Drop revert patch, /proc/self support in libc is now ready.
  * control: Bump libc0.3 Breaks accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jan 2017 10:35:43 +0000

hurd (1:0.9.git20170102-1) unstable; urgency=medium

  * New upstream snapshot.
    - newRPC.patch: Update.
    - patches/procfs: New patch to revert /proc/self being magic for now since
    glibc is not ready yet.
    - control: Break old gnumachs, which do not have vm_wire_all, build-depend
    on newers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2017 17:47:46 +0000

hurd (1:0.9.git20161219-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.

  [ Svante Signell ]
  * Make hurd Depend on sysv-rc | openrc instead of just sysv-rc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 15:51:26 +0000

hurd (1:0.8.git20161120-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump gnumach-dev build dependency.
  * disable_new_task_notification.diff: Drop, port leak is fixed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Nov 2016 21:48:56 +0000

hurd (1:0.8.git20161115-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/{console-wire.patch,time-fix.patch}: Drop, merged upstream.
  * control: Make hurd-prof Priority: extra instead of required.
  * local/setup-translators: Default crash server to dumping core.
  * rules: Disable pie hardening.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Nov 2016 20:15:29 +0000

hurd (1:0.8.git20161023-3) unstable; urgency=medium

  * patches/console-wire.patch: Fix console hang on console data paging out.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2016 20:36:29 +0000

hurd (1:0.8.git20161023-2) unstable; urgency=medium

  * patches/time-fix.patch: Fix timestamp update on file close.
    Closes: Bug#842271.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Oct 2016 16:47:05 +0000

hurd (1:0.8.git20161023-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
  * Drop gcc-5 Build-Depends, we already build with gcc-6 anyway.
    Closes: Bug#835948.
  * hurd.install.in: Install runsystem.hurd in /etc/hurd
  * patches/{libexec.patch,startup-usr-support.patch}: Update for
    runsystem.hurd. Closes: Bug#836529.
  * control: Don't build hurd-prof in noprof build profile.
  * control: Add missing lsb-base dependency.

  [ Kalle Olavi Niemitalo ]
  * patches/exec_filename_rpctrace.patch: rpctrace: Pass prefixed_name to
    _hurd_exec_file_name. Closes: Bug#835513.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 22:23:11 +0000

hurd (1:0.8.git20160826-1) unstable; urgency=medium

  * New upstream snapshot, fixes loading small pic programs.
  * Fix screen-udeb by adding more ptys for d-i.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2016 01:05:01 +0000

hurd (1:0.8.git20160809-1) unstable; urgency=medium

  * New upstream snapshot. Closes: Bug#833557.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 21:54:42 +0000

hurd (1:0.8.git20160522-4) unstable; urgency=medium

  * patches/git-dd93fc4bfbaceb65ded2aefca35042438c95f4d5: Cherry-pick from
    upstream to fix nfs assertion failure.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jun 2016 23:02:40 +0000

hurd (1:0.8.git20160522-3) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/git-malloc-hook: Cherry-pick from upstream to fix potential
    mach-defpager hang.
  * patches/git-293e86998748bae2d7a8179ad198ec3452f0d472: Cherry-pick from
    upstream to fix zero-byte pipe writes.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jun 2016 21:17:45 +0000

hurd (1:0.8.git20160522-2) unstable; urgency=medium

  * patches/git-0ab3825f250486453892e3e18a702a44538bff6d: Cherry-pick fix
    from upstream.
  * patches/git-60d14f5b3c4ea27af6f4220a15947c328bc888ee: Cherry-pick fix
    from upstream, fixes some reference counting assertion failures.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 13:41:50 +0000

hurd (1:0.8.git20160522-1) unstable; urgency=medium

  * New upstream release & snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 May 2016 23:29:31 +0000

hurd (1:0.7.git20160502-2) unstable; urgency=medium

  * Bump gnumach-dev build-dep to fix stdint use in headers.
  * rules: Add hurd-prof package to ship gprof versions of the main
    translators.
  * control: Depend on recent-enough gcc-5 to have gprof working.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 May 2016 18:03:36 +0000

hurd (1:0.7.git20160502-1) unstable; urgency=medium

  * New upstream snapshot.
  * rules: Add prof dpkg build profile to build gprof versions of the main
    translators.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 May 2016 23:06:25 +0000

hurd (1:0.7.git20160320-2) unstable; urgency=medium

  * patches/git-update.patch: Cherry-pick patches from upstream to fix
    /proc/swaps inside d-i.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Mar 2016 10:38:16 +0000

hurd (1:0.7.git20160320-1) unstable; urgency=medium

  * New upstream snapshot.
  * Completely drop hurd-headers-dev and libihash-dev for now.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 23 Mar 2016 17:38:21 +0000

hurd (1:0.7.git20160311-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Make hurd-dev provides libdde-linux26-dev (but not at stage3).
  * patches/libports-iterate-refcount.patch: New patch to avoid a crash in
    libports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Mar 2016 22:21:27 +0000

hurd (1:0.7.git20160228-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/parallel_build.diff,cross-fix.diff: Drop, merged upstream.
  * control: Fix spurious build of hurd-headers-dev and libihash-dev in unstaged
    builds.
  * rules: Fix cross-build of libdde-linux26.
  * patches/using_std.patch: Fix external reference to using_std variable.
  * patches/netdde_log.patch: Move logs to /var/run.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Feb 2016 16:35:27 +0000

hurd (1:0.7.git20160223-2) unstable; urgency=medium

  * control:
    - Avoid hurd's sysv-rc, netdde, and xkb-data dependencies in stage3,
    they are only really useful for the final stage.
    - Avoid hurd-dev depend on hurd in stage3, for the same reason.
  * Move stage1 hurd-dev content to hurd-headers-dev, and stage2 hurd-dev
    content to libihash-dev.
  * patches/parallel_build.diff: New patch to fix parallel install.
  * rules: Allow parallel build.
  * patches/cross-fix.diff: Upstream patch to fix cross-linking.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Feb 2016 15:55:33 +0000

hurd (1:0.7.git20160223-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/mtab-siglost.patch: Remove, fixed upstream another way.
  * hurd-udeb.install.in: Install udeb's exec.static to /boot for d-i.
  * patches/crash-logging.patch: New patch to dump information on process crash.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 22:48:43 +0000

hurd (1:0.7.git20160214-2) unstable; urgency=medium

  * Drop setting passive translator on /proc, sysvinit now mounts it
    already.  That will allow easier management of chroots.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Feb 2016 19:37:06 +0000

hurd (1:0.7.git20160214-1) unstable; urgency=medium

  * New upstream snapshot
  * control: Drop perl build-dep, it is already build-essential.
  * rules: Fix noudeb build profile.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/mtab-siglost.patch: New patch to avoid mtab crashing when mounted
    from /etc/init.d/rc.
  * patches/procfs-compatible: New patch to make procfs use compatibility by
    default, until sysvinit uses the option by default.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Feb 2016 21:28:27 +0000

hurd (1:0.7.git20160114-1) unstable; urgency=medium

  * New upstream snapshot
  * control, rules: Add a stage3 which builds everything that can be built
    with libc.so.
  * patches/external.patch: Do not build DDE when libpciaccess is not
    available, do not build eth-filter when libpcap is not available.
  * patches/cross-link.patch: Fix cross-linking by making make look at the
    right library path.
  * hurd.install.in: Fix stage3 build by not including xkb files.
  * local/runsystem: Try to warn even earlier about not enough memory for
    running the installer.
  * control: Add perl Build-depends.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Jan 2016 01:03:07 +0000

hurd (1:0.7-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Nov 2015 00:20:12 +0000

hurd (1:0.6.git20151012-1) unstable; urgency=medium

  * New upstream snapshot.
  * hurd.links: Add poweroff-hurd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 Oct 2015 22:08:31 +0000

hurd (1:0.6.git20150922-1) unstable; urgency=medium

  * New upstream snapshot.
    - libdde_netdev_tx_t.patch, libdde_pci-needs_freset.patch,
    libdde_addr_list.patch, libdde_ucast_list.patch, libdde_addr_fix.patch,
    libdde_group_addr.patch, libdde_rculist.patch, libdde_dma_head.patch,
    libdde_mdio.patch, libdde_ethoc.patch, libdde_phy.patch,
    libdde_pci_ids.h.patch, libdde_ethtool.patch, libdde_workqueue.patch,
    libdde_trans_start.patch, libdde_devres.patch, libdde_pr_cont.patch,
    libdde_rx_queue.patch, libdde_rcu.patch: Merged.
    - fix-payload-pflocal.patch, fakeroot-access.patch, glibc_2.21.patch,
    format: Merged.
    - exec_filename_fs.patch: Refresh.
  * Upgrade to compat 9.
  * Add a noudeb build profile.
  * Add stage1 and stage2 build profiles for cross-bootstrapping hurd.
  * Move console modules to multiarch path.
  * Bump fakeroot-hurd priority so it becomes the default.
  * Fix build against glibc 2.21.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2015 19:06:22 +0000

hurd (1:0.6.git20150704-3) unstable; urgency=medium

  [ Justus Winter ]
  * Fix payload for pflocal.

  [ Samuel Thibault ]
  * Fix fakeroot-hurd for Xvfb.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Aug 2015 12:16:19 +0000

hurd (1:0.6.git20150704-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Disable payload for pflocal address ports for now, as it breaks X11
    authentication.

  [ Justus Winter ]
  * Include the new rpcscan utility.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Aug 2015 22:05:20 +0000

hurd (1:0.6.git20150704-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jul 2015 21:35:32 +0000

hurd (1:0.6.git20150523-1) unstable; urgency=medium

  * New upstream release. Closes: #785134.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 May 2015 20:58:45 +0000

hurd (1:0.6-4) unstable; urgency=medium

  * patches/dl_origin.patch: Fix off-by-one.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 20:23:15 +0000

hurd (1:0.6-3) unstable; urgency=medium

  * patches/dl_origin.patch: New patch to enable $ORIGIN expansion support in
    rpath for absolute paths.
  * patches/git-R-libdiskfs-protected-payload.patch: Remove to re-enable using
    protected payload in libdiskfs, now that the support is fixed in gnumach.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 10:08:14 +0000

hurd (1:0.6-2) unstable; urgency=medium

  * patches/git-R-libdiskfs-protected-payload.patch: Revert using protected
    payload in libdiskfs, to fix a hang inside the Debian installer.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Apr 2015 02:11:51 +0000

hurd (1:0.6-1) unstable; urgency=medium

  * New upstream snapshot
  * local/setup-translators: Link /dev/shm to /tmp instead of /run/shm, to
    avoid a tmpfs bug which makes at least Xorg, mupdf, etc. crash.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Mar 2015 00:41:25 +0100

hurd (1:0.5.git20150208-3) unstable; urgency=medium

  * patches/disable_new_task_notification.diff: Disable new task notification
    for now: it leaks a port.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Feb 2015 21:18:26 +0000

hurd (1:0.5.git20150208-2) unstable; urgency=medium

  * Bump libc0.3 Break, to make sure we get a libc with the _routines@
    functions.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2015 10:53:15 +0000

hurd (1:0.5.git20150208-1) unstable; urgency=medium

  * New upstream snapshot
    - patches/{pfinet_dhcp.patch,proxy-defpager.diff,xkb-compat.patch,
      libmachdev-link.patch, ports_h_loop.patch,git-mtab-paths.patch,
      git-socket-EOF.patch}: Remove patches, merged upstream.
    - patches/newRPC.patch: Update.
  * patches/term-for-tcl.patch: Add workaround against TCL's missing buffering
    support for PTYs used by expect, see Bug #755295.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2015 01:06:35 +0000

hurd (1:0.5.git20141210-6) unstable; urgency=medium

  * patches/git-socket-EOF.patch: Cherry-pick patch to fix EOF on sockets.
    Fixes neon27 build and hopefully buildd upload hickups.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Jan 2015 16:49:35 +0000

hurd (1:0.5.git20141210-5) unstable; urgency=medium

  * patches/git-mtab-paths.patch: Cherry-pick patch to fix spurious ./ in mtab
    paths, to fix d-i's grub-installer. Closes: #774386.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Jan 2015 18:41:04 +0000

hurd (1:0.5.git20141210-4) unstable; urgency=medium

  * hurd-udeb.install.in: Add /hurd/startup.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Dec 2014 12:40:21 +0000

hurd (1:0.5.git20141210-3) unstable; urgency=medium

  [ Svante Signell ]
  * patches/exec_filename_fs.patch: Fix gcc warnings.

  [ Samuel Thibault ]
  * patches/ports_h_loop.patch: Bring 89c2cbb from git to fix glibc build.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Dec 2014 18:42:43 +0000

hurd (1:0.5.git20141210-2) unstable; urgency=medium

  * patches/ports_h_loop.patch: Fix header inclusion loop.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Dec 2014 12:08:08 +0000

hurd (1:0.5.git20141210-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/proc_set_init_task.patch,git-vm_map.patch,git-proc-mounts.patch:
      Remove, merged upstream.
    - local/setup-translators: Create /servers/startup

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Dec 2014 01:15:48 +0000

hurd (1:0.5.git20141108-5) unstable; urgency=medium

  * patches/MAKEDEV-apm.patch: Workaround invocations from installation of
  power-management packages.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 12 Nov 2014 12:00:35 +0000

hurd (1:0.5.git20141108-4) unstable; urgency=medium

  * patches/git-proc-mounts.patch: Make procfs appear in /proc/mounts, for
    d-i.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Nov 2014 23:57:23 +0000

hurd (1:0.5.git20141108-3) unstable; urgency=medium

  * control:
    - Bump gnumach and mig build-depends to get protected payload support.
    - Add Built-Using fields.
    - Add uuid-dev and libblkid-dev Build-Depends.
  * rules: fill built-using field.
  * patches/git-R-protected-payloads.patch: Reapply upstream commit, protected
    payload support is fixed.
  * patches/git-vm_map.patch: Fix vm_map call with odd vm_map kernel behavior.
  * local/setup-translators: Fix inet6 socket creation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 23:49:01 +0000

hurd (1:0.5.git20141108-2) unstable; urgency=medium

  * control: Add zlib1g-dev and libbz2-dev build dependencies.
  * Bump Standards-Version to 3.9.6 (no changes).
  * local/finish-install.d/51hurd_config-target-network: Remove, useless now
    that we use Debian's ifup/ifdown.
  * local/setup-translators: Also setup /servers/socket/26.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 11:07:34 +0000

hurd (1:0.5.git20141108-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix random translator crash during heimdal testsuite.
    - patches/newRPC.patch: Update.
    - patches/git-R-protected-payloads.patch: Revert upstream commit, breaks
      mach-defpager startup.
    - Closes: #752237

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 02:22:38 +0000

hurd (1:0.5.git20140526-2) unstable; urgency=medium

  [ Gabriele Giacone ]
  * patches/mount-bind.patch: Fix uninitialized value.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Tue, 27 May 2014 20:08:08 +0000

hurd (1:0.5.git20140526-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - Breaks old netdde, which needs to be rebuilt due to libports ABI change.
    - patches/libmachdev.patch: Drop patch, fixed upstream.
  * control: bump gnumach-dev dependency to get mutable memory object, device
    and notify types translation functions.  Make hurd-libs0.3 "Breaks" old
    glibcs which needed libports_revert_stacksize.patch.

  [ Justus Winter ]
  * patches/libports_revert_stacksize.patch: Drop patch, not needed any more.

  [ Pino Toscano ]
  * control: remove unused gcc-4.7 build dependency. (Closes: #748000)

  [ Gabriele Giacone ]
  * patches/mount-bind.patch: Add bind option to our mount tool.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 May 2014 20:07:01 +0000

hurd (1:0.5.git20140326-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes kvm hang on console startup (Closes: #742392)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 03:15:30 +0000

hurd (1:0.5.git20140320-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/libports_stability.patch: Remove, merged upstream.
    - patches/exec_filename_fs.patch: Refresh.
    - rules: Disable bz2 support in udeb (Closes: #741420)
  * control: Only Replace/Conflict old login package which was potentially
    shipping /bin/login.
  * local/securetty: Remove file, let it be installed by the login package.
  * patches/rc.patch: Also make /etc/mtab point to /proc/mounts.
  * patches/mount.patch: Also ignore exec option.
  * local/runsystem: Allow to pass VGA options from d-i boot menu.
  * local/finish-install.d/51hurd_config-console: Propagate VGA options to
    installed system.
  * hurd.hurd-console.init: Do not make hurd-console depend on $all,
    and make it start before DMs.
  * hurd.postinst: Decrease our runsystem priority to 5, thus switching to
    sysvinit boot up, and enabling the hard work of a lot of people, thanks a
    lot to everybody involved!
  * hurd.lintian-overrides, hurd-udeb.lintian-overrides: Ignore lintian warning
    about static translators embedding bzip2 and zlib.
  * rules: force installing hurd-udeb lintian overrides to actually fix above
    override.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Mar 2014 02:24:20 +0000

hurd (1:0.5.git20140203-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
    - Bump mig dependencies to get server RPC inlines.
  * hurd.hurd-console.init: Actually make ENABLE=false in default work.

  [ Justus Winter ]
  * patches/exec_filename_fix.patch: Fix spurious port deallocation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Feb 2014 22:42:53 +0000

hurd (1:0.5.git20140113-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
    - refresh patches.
  * patches/libports_revert_stacksize.patch: New patch to revert upstream
    cleanup.
  * patches/xkb-compat.patch: Replace default compat with explicit content.

  [ Justus Winter ]
  * patches/exec_filename_fix.patch: Fix passing path in hurdish
    fakeroot/chroot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Nov 2013 00:21:47 +0100

hurd (1:0.5.git20131101-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
  * control: bump libc0.3-dev dependency to make sure we don't get internal
    inlines exported by previous versions.
  * patches/proc_set_init_task.patch: Fix kernel pid in procfs too.
  * Remove dpkg | install-info dependency.
  * Bump Standards-Version to 3.9.5.

  [ Justus Winter ]
  * hurd.hurd-console.init: Clean up pid if any.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Nov 2013 12:19:03 +0000

hurd (1:0.5.git20130928-1) unstable; urgency=low

  * New upstream release, yay!

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Sep 2013 14:25:53 +0000

hurd (20130924-2) unstable; urgency=low

  [ Samuel Thibault ]
  * patches/proc_set_init_task.patch: New patch from Justus Winter to make
    /hurd/init pid 2, leaving room for sysvinit to be pid 1.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 21:58:30 +0000

hurd (20130924-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot
    - patches/mount-test-opts.patch: Drop, merged upstream
  * control, hurd.install.in, rules: Remove ufs parts.
  * patches/rc.patch: Make sure /proc is mounted at boot.
  * hurd-udeb.install.in: Add hurd/mtab.
  * control: Bump libc0.3-dev build dep to get new RPC stubs.
  * patches/newRPC: Drop accordingly.
  * rules: Pass --without-libdaemon to udeb configure.

  [ Justus Winter ]
  * Include the nullauth utility in hurd and hurd-udeb.

  [ Pino Toscano ]
  * Add missing libpcap0.8-dev build dependency.
  * Add ${perl:Depends} in hurd-dev.
  * Add ${shlibs:Depends} in hurd-libs0.3-udeb and hurd-udeb.
  * Rename the installed libdde-linux26 stuff back to libdde_linux26.
  * Exclude shlibs for private modules in /usr/lib/hurd; this allows the drop
    of the shlibs for hurd, which has no public libraries anymore after the
    hurd-libs0.3 split.
  * run.patch: refresh to apply without fuzz.
  * Rename the "build" build dir to "build-deb".
  * Force the sourcedir for dh_install to debian/tmp, and strip/fix the paths
    in *.install.in files according to the new root.
  * Do a separate build for the udeb variant, so it can have a different
    configuration:
    - Use build-udeb as build dir.
    - Use debian/tmp-udeb as DESTDIR, and use it as sourcedir for dh_install
      of *-udeb binaries.
  * Remove duplicated texinfo build dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 08:56:08 +0000

hurd (20130916-1) unstable; urgency=low

  * New upstream snapshot. Closes: Bug#701516, Bug#313560.
    - patches/{ext2fs_large_stores.patch, ext2fs_large_stores_pthread.patch,
    mount-n.patch, mount-f.patch, mount-remount.patch, procfs-update.patch,
    procfs-default.patch, procfs-get-options.patch, sutils-types.patch,
    mount-ignore-mounted-all.patch, mount-t-auto.patch,
    sutils-multiple-none.patch, umount.patch}: Remove, merged upstream.
    - patches/{exec_filename_exec.patch, exec_filename_fs.patch,
    mount-test-opts.patch, proxy-defpager.diff}: Refresh.
  * patches/rc.patch: point /run/mtab to /proc/mounts.
  * rules, control: Switch to makeinfo.
  * Refresh lintian overrides.

  [ Justus Winter ]
  * hurd.hurd-console.init: Add an initscript for hurd-console.
  * patches/hurd_console_startup.patch: Drop, this is no longer necessary with
    the initscript in place.
  * control: Add build dependency on libdaemon
  * patches/newRPC.patch: New patch to fix link until libc gets rebuilt
    against new .defs.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Sep 2013 14:30:13 +0000

hurd (20130727-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
    - Adds firewalling support.
    - Move to multiple orig tarballs.
    - Use autoreconf.
    - Rename libdde_linux26 into libdde-linux26
  * Bump Standards-Version to 3.9.4 (no changes).
  * control: Remove Neal and Jeff from uploaders.

  [ Justus Winter ]
  * Include the umount utility in hurd and hurd-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 22:37:17 +0000

hurd (20130707-1) unstable; urgency=low

  * New upstream snapshot (Closes: Bug#714733).

  * patches/{mount-{f,n,remount,test-opts,ignore-mounted-all,t-auto},
    sutils-{types,multiple-none}}.patch: New
    patches from Justus Winter to make mount more compatible with Linux'.
  * patches/mount-loop.patch: New patch to ignore loop option.
  * patches/umount.patch: New patch to add umount tool.
  * patches/procfs-{update,default,get-options}.patch: New patches from Justus
    Winter to make procfs behave as sysvinit desires.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2013 22:25:25 +0000

hurd (20130620-1) unstable; urgency=low

  * New upstream release.

  * patches/exec_filename_fs.patch,exec_filename_use.patch,external.patch:
    Refresh.
  * io_select_timeout, doc-fix.patch: Remove merged patches.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 23:32:07 +0000

hurd (20130226-3) unstable; urgency=low

  [ Pino Toscano ]
  * Stop installing the upstream ChangeLog, since it is just a pointer to the
    pre-Git ChangeLog files.
  * Install the Debian NEWS file only in the hurd binary.
  * hurd: pre-depend on hurd-libs0.3. (Closes: #704998)
  * control: build-depend on gawk.

  [ Samuel Thibault ]
  * Do not create lpr3, it does not exist in standard PC hardware.
  * Add doc-fix.patch to fix documentation build.
  * Add io_select_timeout patch to introduce the RPC definition for libc to
    build the RPC stubs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 10:56:03 +0000

hurd (20130226-2) unstable; urgency=low

  [ Pino Toscano ]
  * Split the hurd libraries in own hurd-libs0.3{,-udeb} packages.

  [ Samuel Thibault ]
  * Bump netdde breaking version, our updated pfinet wants a rebuilt one.

  [ Pino Toscano ]
  * Move /bin/timertest and /bin/fstests from hurd to hurd-dev, since they are
    development-related utilities; add proper breaks/replaces.
  * Remove the libsem-dev conflicts/replaces/provides from hurd-dev, obsolete.
  * Update the hurd-doc suggests:
    - Remove hurd (a bit pointless, since it is essential).
    - Add www-browser (for the HTML documentation).
  * Add missing autotools-dev build dependency (for the autotools_dev dh addon).
  * Rename hurd{,-dev,-udeb}.install to hurd{,-dev,-udeb}.install.in, and
    generate the .install files at build time.
  * Call dh_install with --list-missing.
  * Install the hurd libraries in multiarch library directories, but not in
    the udeb.
  * Update lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Mar 2013 00:06:39 +0000

hurd (20130226-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
  * local/finish-install.d/51hurd_config-console: Disable the Hurd console on
    the installed system if installation was done without it.
  * Add remap script.

  [ Pino Toscano ]
  * Bump debhelper compatibility to 7:
    - Bump compat to 7.
    - Bump the debhelper build dependency to >= 7.
    - Fix the dh_strip parameters.
  * Rename hurd-console.default to hurd.hurd-console.default, and let it be
    installed by dh_installinit.
  * hurd/hurd-dev: install more stuff via dh_install, instead of copying them
    manually.
  * Turn the X11 compose data into static files in the debian directory
    (instead of being generated at build time), and install them in hurd-udeb.
  * Drop hurd-dbg.dirs, useless.
  * hurd-udeb: remove XC-Package-Type, redundant with Package-Type.
  * Fix Vcs-* keys to point to anonscm.debian.org.
  * Remove asterisks from NEWS file.
  * Update lintian overrides.
  * Switch rules from cdbs to the sequential `dh':
    - Bump the debhelper build dependency to >= 7.0.50~.
    - Drop the cdbs build dependency.
    - Install BUGS, NEWS, README, and TODO only in hurd.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Feb 2013 02:12:55 +0000

hurd (20130105-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New ustream snapshot
    - Migrates everything to libpthread.
    - Bump libc0.3-dev build dependency to get pthread_hurd_cond_wait.
    - Break libthreads-based netdde.
    - Remove install-msgids.diff, pflocal.patch,
    runsystem_setup_pflocal.patch, makedev_keep_options.patch,
    makedev_parted_store.patch, ext2fs_nowait.patch, libpager_deadlock.patch,
    libdiskfs_self-reauth.patch, libdiskfs_sync.patch, merged upstream
    - Refresh exec_filename_exec.patch, exec_filename_fs.patch,
    ext2fs_large_stores.patch, external.patch, init_try_runsystem.gnu.patch,
    libdde_workqueue.patch, libports_stability.patch, pfinet_dhcp.patch,
    posix-sigcodes.patch, proxy-defpager.diff.
  * New patch ext2fs_large_stores_pthread.patch to move ext2fs large store
    support to pthread.
  * control:
    - Add missing libx11-dev, x11proto-core-dev, pkg-config, xkb-data, flex,
    and bison build-dependencies.
    - Drop hurd dependency on libc0.3, it is now properly automatically
    computed.
  * Fix g-i by putting console keyboard parameters before mouse parameters,
    otherwise it seems the -c option gets lost.
  * Install all msgids files, not only hurd.msgids.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Jan 2013 22:30:06 +0000

hurd (20120710-3) unstable; urgency=low

  * control: Make hurd depend on xkb-data.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jul 2012 14:14:20 +0000

hurd (20120710-2) unstable; urgency=low

  * control: Make hurd-udeb depend on xkb-data-udeb. Make hurd
    conflict/replace console-driver-xkb (Closes: Bug#681183).
  * rules: Add empty compose file for hurd-udeb.
  * hurd.install: Do not install empty compose file.
  * local/runsystem: Read keyboard layout from console-setup, restart the
  console automatically.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Jul 2012 12:32:57 +0000

hurd (20120710-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/balloc.patch: Remove, merged upstream.
    - patches/libdde_config.patch: Remove, merged upstream.
    - patches/libdde_fixes.patch: Remove, merged upstream.
    - patches/ext2fs_large_stores.patch: Refresh.
  * hurd-console.default: Get keyboard layout from console-setup.
  * rules: Set XKB_DATA root for installing in debian/tmp.
  * hurd.install, hurd-dev.install: Install hurd xkb data.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jul 2012 01:36:55 +0000

hurd (20120605-2) unstable; urgency=low

  * control: Add missing autoconf build-dependency.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Jun 2012 21:20:43 +0200

hurd (20120605-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/ext2fs_large_stores.patch,libmachdev.patch: Refresh.
  * control:
    - Do not make hurd-udeb depend on netdde-udeb, it leads to configure
    recursion, and is not actually needed.
    - Depend on libpciaccess-dev for libddekit.
  * hurd.postinst: Drop error messages while fetching pfinet options.
  * local/setup-translators: Remove /dev/shm directory if any, to be replaced
    with symlink to /run/shm.
  * patches/balloc.patch: Fix parentheses.
  * patches/exec_filename_{exec,fs,use}.patch: Add support for passing
    filename through exec() call.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 May 2012 00:07:09 +0000

hurd (20120520-1) unstable; urgency=low

  * New upstream snapshot, remove libpthread.
  * rules: Bump to gcc-4.7.
  * control: Depend on netdde, recent enough (>= 0.0.20120518~) to avoid
    conflicts with gnumach drivers.
  * local/setup-translators:
    - Setup netdde translator and /dev/eth*.
    - Add hd4 and hd5 /dev entries, for some SATA controlers.
  * hurd.postinst: Migrate pfinet into using /dev/eth0.
  * patches/libmachdev.patch: Fix packet delivery on pfinet restart.
  * hurd-udev.install: Add devnode.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:53:00 +0200

hurd (20120408-3) unstable; urgency=low

  * patches/libpthread*, control, patches/external.patch: Remove libpthread, now
  shipped by glibc, and depend on it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Apr 2012 02:14:04 +0000

hurd (20120408-2) unstable; urgency=low

  * debian/patches/libdde_{addr_fix,addr_list,config,devres,dma_head,ethoc,
  ethtool,fixes,group_addr,mdio,netdev_tx_t,pci-needs_freset,pci_ids.h,phy,
  pr_cont,rcu,rculist,rx_queue,trans_start,ucast_list,workqueue}: New patches
  to upgrade the libdde_linux26 layer to 2.6.32 compatibility.
  * debian/copyright: Add copyright information for libdde_linux26.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Apr 2012 00:31:41 +0000

hurd (20120408-1) unstable; urgency=low

  * New upstream snapshot.
    - Fixes tmpfs, thanks Maksym!
    - Remove patches/console_utf-8.patch and patches/extern_inline_fix.patch,
    merged upstream.
    - patches/ext2fs_large_stores.patch: Refresh.
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set hurd-udeb XC-Package-Type to udeb.
  * patches/libexec.patch: Switch to gnu-mach-color TERM.
  * hurd-console.default: Document the -f option of the vga module.
  * patches/run.patch: Fix utmp database creation, and thus w command.
  * rules: Remove dde drivers, will be shipped by netdde.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Apr 2012 19:07:15 +0200

hurd (20120222-1) unstable; urgency=low

  * New upstream snapshot
  * Add libddekit and libdde_linux26 headers.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Feb 2012 01:57:29 +0000

hurd (20120219-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
    - And merge DDE work from Zheng Da.
  * patches/ext2fs_large_stores.patch: Fix memory leak, thanks Sergio Lopez!
  * debian/hurd-console.default: Enable the console by default.
  * debian/patches/libpthread_procfs.patch: Rename to external.patch.

  [ Pino Toscano ]
  * hurd.install, hurd.postinst, rules: Rename halt/reboot to
    halt-hurd/reboot-hurd, and register them as slaves of the runsystem
    alternative.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Feb 2012 06:17:49 +0000

hurd (20111206-1) unstable; urgency=low

  * New upstream snapshot.
    - Drop debian/patches/libpager_update_seqno.patch, applied upstream.
    - Closes: #650097, #650186, #650096.
  * control:
    - Use hurd-any instead of hurd-i386.
    - Recommend bf-utf-source to get more than just latin1 on the console.
  * hurd.postinst: Set up "*random" alternatives and generate seed on
    first install too.
  * patches/libexec.patch, hurd.install, hurd-udeb.install, hurd.postinst,
    rules: Move getty, console-run, and runttys to /sbin, runsystem and rc to
    /etc/hurd (Closes: Bug#556526).
  * hurd-udeb.lintian-overrides: Drop override about /libexec
  * local/random-hurd.sh, urandom-hurd.sh: Add scripts to be used as
    hurd-provided translators for /dev/*random.
  * hurd.postinst: Remove "random" alternative introduced by 20111106-1, as it
    makes rgrep in /etc not working any more. Install random.sh alternative
    instead, which sets /hurd/u?random.sh scripts.
  * local/setup-translators: Set /dev/u?random translator from
    /hurd/u?random.sh instead of making them alternatives. Set up
    /dev/u?random in hurd-udeb too.
  * hurd-udeb.install: Add /hurd/random.
  * hurd.install: Add /etc/securetty.
  * local/setup-translators: Move /run initialization to...
  * patches/run.patch: ... boot time.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Dec 2011 01:49:34 +0100

hurd (20111106-1) unstable; urgency=low

  * New upstream snapshot.
    - Drop debian/patches/ttys.patch.patch, applied upstream.
    - Drop debian/patches/auth-intr-cure.patch, applied upstream.
    - Drop debian/patches/libpthread_tls.patch, applied upstream.
    - debian/patches/libpthread_procfs.patch: Refresh.
    - Closes: #639010.
  * local/setup-translators:
    - Restore /dev/shm creation.
    - create /run/shm and /run/lock, to fix locking until we properly start
    rcS.d scripts.
    - Add cd[01] SCSI CD-ROMs.
  * patches/libdiskfs_sync.patch: New patch to fix sync at shutdown.
  * patches/libpthread_procfs.patch: Add random server.
  * local/setup-translators: Use random server, set up its entropy pool in
    /var/spool.
  * debian/control, debian/local/setup-translators: Use native random server
    set on /dev/u?random-hurd instead of random-egd on /dev/u?random.
    (Closes: bug#637231)
  * debian/hurd.{postinst,prerm}: Handle alternative for /dev/u?random,
    default to u?random-hurd, generate an initial pseudo-random seed.
  * debian/hurd.lintian-overrides: Override warnings about the /dev/u?random
    mangling.
  * debian/local/cdrom.h: Add header for basic CD-ROM ioctl support.
  * debian/patches/libpthread_globsigdisp.patch,posix-sigcodes.patch: New
    patches from Jeremie Koenig to enable global signal support.
  * debian/patches/libpthread_sigmask.patch: Update to global signal support.
  * debian/copyright: Fix copyright notice.
  * debian/control:
    - Drop article from synopsis.
    - Tighten hurd-dev dependency on hurd to the same version.
  * debian/hurd-udeb.install: Only include the necessary console drivers.
  * debian/patches/random-default-fast.patch: Set default randomness to fast,
    until we set up a daemon to feed /dev/random with entropy.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Aug 2011 01:15:04 +0000

hurd (20110519-3) unstable; urgency=low

  * debian/local/runsystem: Set d-i umask to 022.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jun 2011 19:21:25 +0200

hurd (20110519-2) unstable; urgency=low

  * debian/control: Make the hurd package depend on random-egd, to get
    /dev/*random working as early as d-i's base install.
  * debian/local/setup-translators: Add entries for partitions 9-16 too, as the
    full partman layout at least uses slice 9. Add comX and random translators
    on installed system.
  * debian/hurd-console.default: Enable keyboard and mouse repeaters by
    default for X11.
  * debian/hurd.lintian-overrides, debian/hurd-dev.lintian-overrides: Update to
    newer lintian format.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Jun 2011 22:26:15 +0000

hurd (20110519-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control:
    - Depend on gcc-4.6 instead of gcc-4.4.
    - Bump Standards-Version to 3.9.2 (no change needed)
  * debian/rules: Build with gcc-4.6.
  * debian/local/runsystem, setup-translators: Enable mouse and keyboard
    repeaters for g-i support.
  * debian/local/setup-translators: Pass the --compatible option to procfs to
    tweak it a bit to get proc-related tools working without too much patching.
    Add fd[01].
  * debian/patches/disable-proc_getnports.patch: Remove patch, libc0.3 now
    has proc_getnports, and the hurd package already breaks older versions.
  * debian/patches/uptime_w_path_fix.patch: Fix /usr/bin/w-hurd command name,
    thanks harish badrinath for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 20:42:45 +0200

hurd (20110319-2) unstable; urgency=low

  * debian/hurd.postinst: use useradd from required passwd package instead of
    adduser, which is not required and thus not available at debootstrap.
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Mar 2011 17:33:19 +0100

hurd (20110319-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
  * debian/local/setup-translators: Add inet6 -> 26 symlink.
  * debian/local/finish-install.d/51hurd_config-target-network: Set pfinet
    translator on /servers/socket/26 too, add +x permission.
  * debian/local/partman/commit.d/40hurd_reload-partitions: Add +x permission.
  * debian/local/runsystem: Don't let d-i start if there is less then 256MiB
    memory.  Tell the user he needs to be patient while the d-i templates get
    loaded.
  * debian/patches/ext2fs_nowait.patch: Avoid systematically waiting for all
    disk writes, as it slows us down awfully.
  * debian/control: Recommend random-egd, to provide /dev/*random
    (Closes: Bug#558664). Break old gnumach packages, instead of depending on
    them. Break libc0.3 before getifaddrs fix, now that pfinet provides a
    correct response.
  * debian/patches/auth-intr-cure.patch: Add patch to mitigate
    reauthentication issue triggered by sudo.
  * debian/patches/libpager_deadlock.patch: Add patch to fix a known
    synchronization deadlock.
  * debian/local/finish-install.d/51hurd_config-target-network: Record active
    network configuration, not only passive. Create /servers/socket/26 node if
    it doesn't exist yet.
  * debian/local/setup-translators, debian/patches/makedev_keep_options.patch:
    Fix -K option into not starting existing translators.
  * debian/patches/libdiskfs_self-reauth.patch: Add patch to fix one of the
    spurious mach port deallocation issues.

  [ Justus Winter ]
  * debian/hurd.{postinst,postrm}: Add/remove loginpr shell and login user with
    loginpr shell, to drop the login shell in order to match common Debian
    convention, in particular for remote telnet access...
    (Closes: Bug#556522)

  [ Samuel Thibault ]
  * debian/NEWS: Add a notice about that.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Feb 2011 19:02:04 +0100

hurd (20100926-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot. Switch to jkoenig's procfs.
  * debian/control: Depend on gcc-4.4 instead of gcc-4.3. Thanks Emilio!
  * debian/rules: Fix back debugging symbols into the hurd-dbg package.
  * debian/local/runsystem: Do not start the Hurd console if the TERM variable
    is given.  Should permit mach-console install for better debugging as well
    as Xen or sub-hurd support.
  * debian/patches/disable-proc_getnports.patch: New patch to disable
    usage of proc_getnports until libc0.3 provides it.
  * debian/patches/libpthread_procfs.patch: Update patch to integrate procfs
    build.

  [ Jeremie Koenig ]
  * debian/patches/libpthread_sigmask.patch: New patch to fix missed signals
    when using pthread_sigmask.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Sep 2010 22:15:43 +0000

hurd (20100829-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream 20100827 snapshot.
    - debian/patches/dir_acces_fix.patch: Remove patch, merged upstream.
    - debian/patches/exec_fix.patch: Likewise.
    - debian/patches/libdiskfs-rename.patch: Likewise.
    - debian/patches/libpthread_mutex_owner.patch: Likewise.
    - debian/patches/libpthread_recursive_mutex_initializer.patch: Likewise.
    - debian/patches/libpthread_setcancel.patch: Likewise.
    - debian/patches/pfinet-gcc-4.3-fix.patch: Likewise.
    - debian/patches/procfs.patch: Likewise.
    - debian/patches/ext2fs_large_stores.patch: Resync.
    - debian/patches/libpthread_procfs.patch: New patch, to enable libpthread
      and procfs build.
  * debian/rules: Really put debugging symbols into the hurd-dbg package.
  * debian/patches/hurd_console_startup.patch: Add -d current_vcs to enable
    /dev/cons/vcs by default.
  * debian/copyright: Reference /usr/share/common-licenses/GPL-2 instead of
    just GPL.
  * debian/hurd.dirs: Add /etc/sysctl.d.
  * debian/control (hurd-udeb): Add Provides: *-modules.
  * debian/patches/diskfs_no_inherit_dir_group.patch: Fix documentation too.
  * debian/control:
    - Drop duplicate priority and section fields.
    - Add ${misc:Depends}.
    - Add dpkg (>= 1.15.4) | install-info dependency.
    - Drop -1 from gnumach-dev dependency.
    - Bump Standards-Version to 3.8.4 (no change needed).
  * debian/local/runsystem.gnu: New runsystem file for the d-i case, incomplete
    for now.
  * debian/hurd-udeb.install: Remove getty, runttys, /etc/ttys ftpcp, ftpdir,
    ftpfs, hostmux, usermux, nfs, isofs.static, rpctrace, gcore, forks. Install
    local/runsystem.gnu in /libexec, install ext2fs.static in /boot
  * debian/rules: Do not ship *_pic.a, as mklibs breaks them.
  * debian/patches/proxy-defpager.diff: New patch to fix proxying defpager.
  * debian/patches/ext2fs_large_stores.patch: Apply Alioth fix #312328 from
    Fredrik Hammar to fix random startup crash (Closes: Bug#576519).
  * debian/patches/procfs.patch: Fix swap size printout.
  * debian/hurd-udeb.install: remove reboot and halt (will be provided by
    busybox), remove crash and password (not useful), add procfs, remove rc.
  * debian/local/runsystem.gnu: Integrate jkoenig d-i changes, rename to
    debian/local/runsystem.
  * debian/hurd.links: Add symlink to /usr/src/unifont.bdf from the unifont
    package to /usr/share/hurd/vga-system.bdf so the console can pick it up
    when installed.
  * debian/source/options: Set compression to bzip2.
  * debian/control: Update Vcs fields to point to the new git repositories.
  * debian/patches/console_ignore_bdf_err.patch: New patch to ignore erroneous
    number of glyphs in bdf files.
  * debian/rules: Remove debian/ChangeLog generation.
  * debian/local/runsystem: Pass -g option to the console to maximize glyph
    usage for chinese.
  * debian/hurd.lintian-overrides: New overrides to announce which servers are
    supposed to be statically linked, accept hurd to be essential, and accept
    some setuid binaries.
  * debian/hurd-udeb.lintian-overrides: New overrides to validate
    hurd-i386-specific paths.
  * debian/hurd-dev.lintian-overrides: New overrides to allow libstore_* not
    being stripped (they wouldn't work, else).
  * debian/local/runsystem: Export kernel parameters into environment, like
    Linux does.
  * debian/control: Use Package-Type instead of XC-Package-Type.
  * debian/rules: Switch to gcc-4.4 (Closes: Bug#594285).

  [ Guillem Jover ]
  * Update make-new-tarball.sh to exclude git instead of CVS paths.
  * Refresh patches with -pab to allow migration to source format 3.0 (quilt).
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove patchsys-quilt.mk include from debian/rules.

  [ Michael Banck ]
  * debian/control (Uploaders): Removed Marcus Brinkmann. (Closes: #503564)

  [ Jeremie Koenig ]
  * debian/control: Build-Depend on libparted-dev.
  * debian/local/partman/commit.d/40hurd_reload-partitions: New file for
    hurd-udeb, make partman restart the partition translators after the
    partition table has been changed.
  * debian/hurd-udeb.install: Install file above.
  * debian/local/runsystem (hurd-udeb): Start mach-defpager.
  * debian/hurd-udeb.dirs: Include /servers.
  * Sort out the way device and server nodes are created:
    - debian/patches/makedev_keep_options.patch: Introduces the -k and -K
      options to MAKEDEV, respectively to keep active translators running or
      leave existing files alone completely.
    - debian/patches/makedev_parted_store.patch: MAKEDEV -p will use parted
      instead of device stores for disk partitions.
    - debian/local/setup-translators: New script installed in /usr/lib/hurd,
      uses MAKEDEV's new options to create all the necessary device and
      server nodes.
    - debian/local/runsystem (hurd-udeb): Uses setup-translators in "minimal
      mode" to prepare the initrd when the installer is started. Parted
      stores are used to avoid problems when reloading the partition table.
    - debian/hurd.postinst: Uses setup-translators to create missing nodes on
      upgrades (on initial installs, debootstrap will use the
      setup-translators script from the installed hurd package to setup the
      devices and servers itself).
  * debian/local/finish-install.d/51hurd_config-target-network: copy the
    /servers/socket/2 translator settings into the target system.
  * debian/hurd-udeb.links: Include the unifont.bdf link in hurd-udeb too.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 27 Aug 2010 13:12:12 +0200

hurd (20090404-2) unstable; urgency=low

  * debian/patches/libpthread_no_recursive_mutex_initializer.patch: Remove
    unused patch.
  * debian/patches/procfs.patch: Fix a couple of memory leaks, fix swap size
    report.
  * debian/control: Add missing comma in Build-Depends.
  * debian/patches/pfinet-gcc-4.3-fix.patch: Cherry-pick upstream patch to fix
    build with gcc-4.3
  * debian/rules: Set CC to gcc-4.3 instead of gcc-4.2.
  * debian/control: Build-Depend on gcc-4.3 instead of gcc-4.2.
    (Closes: Bug#533782)
  * debian/control: Add Provides: hurd to the hurd-udeb package, to meet
    dependencies.
  * debian/rules: Add --add-udeb="hurd-udeb" option to dh_makeshlibs
    invocation for the hurd package, to fix udeb dependency generation.
  * debian/patches/MAKEDEV.patch: New patch to use bash for MAKEDEV.
    (Closes: Bug#548587)
  * debian/patches/libdiskfs-rename.patch: New patch to fix ext2fs hang on
    renaming directory to something/.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Oct 2009 04:38:02 +0200

hurd (20090404-1) unstable; urgency=low

  [ Michael Banck ]
  * New snapshot from CVS.
    + debian/patches/diskfs_lookup_error_fix.patch: Removed, applied upstream.
    + debian/patches/libpthread_mutex-no-include.patch: Likewise.
    + debian/patches/libpthread_pthreadtypes_h.patch: Likewise.
    + debian/patches/libpthread_spin-lock-inline.patch: Likewise.
    + debian/patches/lock-memory-clobber.patch: Likewise.
    + debian/patches/pflocal-port-leak.patch: Likewise.
    + debian/patches/libpthread_pthreadexit-safety.patch: Removed, no longer   
      needed.
    + debian/patches/libpthread_tls.patch: Refreshed.
  * Change packaging to no tarball-in-tarball and quilt.
    + debian/control (Build-Depends): Added quilt. 
    + debian/rules (DEB_TAR_SRCDIR): Removed.
    + debian/rules (tarball.mk) No longer include it.
    + debian/rules (simple-patchsys.mk) Replaced with ...
    + debian/rules (patchsys-quilt.mk) ... this.
    + debian/patches/series: New file.
    + debian/rules (build/hurd): Replace build-tree with $(DEB_SRCDIR).
    + debian/rules (install/hurd): Likewise.
    + debian/hurd-doc.docs: Adjust paths.
  * debian/hurd.postinst: Install ps alternatives link in /bin, not
    /usr/bin.
  * debian/hurd.postinst: Install /proc as passive translator only.
  * debian/patches/uptime_w_path_fix.patch: New patch, run /usr/bin/w instead
    of /bin/w.
  * debian/rules: Install fakeroot, uptime and vmstat into /usr/bin, not /bin.
  * debian/rules (binary-predeb/hurd): Adjust paths.
  * debian/hurd.install: Likewise.
  * debian/hurd-udeb.install: Likewise.
  * debian/hurd.dirs: Added /usr/bin.
  * debian/hurd.postinst: Update accordingly.
  * debian/patches/libpthread_mutex_owner.patch: New patch, fix a hang in
    libpthread, by Neal Walfield.

  [ Samuel Thibault ]
  * debian/patches/thread-throttle.patch: Remove patch, makes ext2fs hang on
    big syncs.
  * debian/control (Build-Depends): Bump libc0.3-dev to (>= 2.9).
  * debian/patches/stat_round.patch: New temporary patch, fixes symlink issues
    with tar.
  * debian/patches/dir_acces_fix.patch: New patch, fixes ext2fs crashes.
  * debian/patches/libports_stability.patch: New patch to keep the old
    behavior of libports.
  * debian/patches/libpthread_fix.patch: New patch from Thomas Schwinge to fix
    libpthread.
  * debian/patches/libpthread_setcancel.patch: New patch to fix configuration
    of octave3.0.
  * debian/patches/extern_inline_fix.patch: New patch from Marc DequÃ¨ne to
    fix extern inline declarations.
  * debian/patches/exec_fix.patch: New patch to fix random hang of exec.
  * debian/patches/libpthread_recursive_mutex_initializer.patch: New patch
    to fix the recursive mutex initializers usage in libraries not linking
    against libpthread.
  * debian/control: Now using Standards-Version 3.8.2 (no changes needed).
  * debian/control: Add myself to uploaders.

  [ Guillem Jover ]
  * Change hurd-dbg section to debug.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Jun 2009 22:19:07 +0000

hurd (20080607-6) unstable; urgency=low

  * debian/rules (install/hurd): Move away ps, uptime, vmstat and w in order
    to have them handled by update-alternatives.
  * debian/hurd.install: Update accordingly.
  * debian/hurd-udev.install: Likewise.
  * debian/rules (SUID_PROGRAMS): Likewise.
  * debian/hurd.postinst: Run update-alternatives for ps, uptime, vmstat and
    w.
  * debian/hurd.postinst: Setup /proc if it hasn't been already.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Sep 2008 22:58:08 +0200

hurd (20080607-5) unstable; urgency=low

  * debian/patches/procfs.patch: New patch, implements a /proc translator, by
    Madhusudan C.S., taken from a CVS branch.

 -- Michael Banck <mbanck@debian.org>  Tue, 02 Sep 2008 00:24:36 +0200

hurd (20080607-4) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/patches/pflocal-port-leak.patch: New patch to fix port leaks in
    pflocal which was making tcl-related builds hang.
  * debian/patches/lock-memory-clobber.patch: New patch to fix lock safety.
  * debian/patches/libpthread_mutex-no-include.patch: New patch to drop
    useless (and problematic) inclusion from mutex.h.
  * debian/patches/libpthread_spin-lock-inline.patch: New patch to split off
    inlines from spin-lock.h into spin-lock-inline.h to avoid including too
    many headers from pthreadtypes.h (fixes glibc 2.7-13 compilation).
  * debian/patches/libpthread_pthreadtypes_h.patch: Remove comma at end of
    enumeration.
  * debian/patches/diskfs_lookup_error_fix.patch: New patch to fix deadlock in
    lookup error conditions.

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Aug 2008 22:53:20 +0200

hurd (20080607-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/patches/libpthread_pthreadtypes_h.patch: fix patch into really
    installing <pthread/pthreadtypes.h>.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Jul 2008 02:23:21 +0200

hurd (20080607-2) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/patches/libpthread_pthreadtypes_h.patch: New patch to get pthread
    types into <pthread/pthreadtypes.h>, which <bits/pthreadtypes.h> will be
    able to include.
  * debian/patches/libpthread_stubs.patch: Fix build.
  * debian/patches/libpthread_pthreadexit-safety.patch: New patch to fix a
    race during thread exit.  Fixes e.g. libatomic-ops' testsuite, and
    probably also a lot of others'.

 -- Michael Banck <mbanck@debian.org>  Fri, 11 Jul 2008 15:33:27 +0200

hurd (20080607-1) unstable; urgency=low

  * New snapshot from CVS.
    + debian/patches/ext2fs_large_stores.patch: Removed copyright year
      changes.
    + debian/patches/libpthread_getattr.patch: Removed, applied upstream.
    + debian/patches/libpthread_inline.patch: Likewise.
    + debian/patches/mmx.patch: Likewise.
    + debian/patches/libpthread_stubs.patch: Updated, one hunk got applied
      upstream.
  * debian/rules (CC): New variable, set to gcc-4.2.
  * debian/control (Build-Depends): Added gcc-4.2.

 -- Michael Banck <mbanck@debian.org>  Wed, 11 Jun 2008 01:02:01 +0200

hurd (20071119-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/local/menu.lst: Add some comments.
  * debian/patches/libpthread_getattr.patch: New patch, implements
    pthread_getattr_np, taken from CVS.

  [ Guillem Jover ]
  * debian/copyright: Update FSF address.
  * debian/control: Use binary:Version and source:Version instead of
    deprecated Source-Version substvar.
  * debian/changelog: Fix Neal's mail address in ancient entry.
  * debian/control: Line-wrap Build-Depends and Uploaders fields.
  * debian/control: Now using Standards-Version 3.7.3 (no changes needed).
  * debian/control: Move packages from base Section to admin.
  * debian/control: Add Homepage field.
  * debian/control: Add Vcs-Browser and Vcs-Svn fields.

  [ Samuel Thibault]
  * debian/patches/mmx.patch: New patch to align the stack of created
    threads.
  * debian/patches/thread-throttle.patch: New patch, add a fix for ext2fs to
    keep the superblock in memory so as to avoid a thread creation dead lock.
  * debian/patches/libpthread_stubs.diff: New patch, add generation of
    <gnu/stubs-pthread.h> to advertise libpthread stubs.

 -- Michael Banck <mbanck@debian.org>  Sun, 18 May 2008 20:22:32 +0200

hurd (20071119-1) unstable; urgency=low

  * New snapshot from CVS.
    + Includes a port of Linux' IPv6 support by Stefan Siegl.
      (Closes: #274156)
    + debian/patches/glibc_stat_updates.patch: Removed, applied upstream.
    + debian/patches/libpthread_no-inline.patch: Likewise.
    + debian/patches/pfinet_-fno-strict-aliasing.patch: Likewise.
    + debian/patches/servers.boot-update.patch: Likewise.
    + debian/patches/siocgifhwaddr.patch: Likewise.
    + debian/patches/pfinet_dhcp.patch: Rediffed.
    + debian/patches/pflocal.patch: Likewise.

  [ Samuel Thibault ]
  * debian/local/soundcard.h: Add _PATCHKEY definition.
  * debian/patches/libpthread_tls.patch: New patch, replaces
    debian/patches/libpthread_tls_transitional.patch.
  * debian/patches/libpthread_inline.patch: New patch to fix extern inlines
    with gcc 4.3.

  [ Michael Banck ]
  * debian/patches/runsystem_setup_pflocal.patch: New patch, sets up
    pflocal during bootup if this has not been done before (in the install
    case).
  * debian/hurd.dirs: Added servers/socket.
  * debian/patches/init_try_runsystem.gnu.patch: New patch, try
    /libexec/runsystem.gnu as well if /libexec/runsystem is not
    available.
  * debian/patches/tmp_exec_startup.patch: New patch, try to attach the
    exec server to /tmp/exec if /servers/exec is not yet available.
  * debian/patches/diskfs_no_inherit_dir_group.patch: Update with better
    patch by Thomas Schwinge.
  * debian/patches/pfinet_dhcp.patch: Updated with new patch by Christian
    Dietrich and Stefan Siegl.
  * debian/local/menu.lst: New file.
  * debian/hurd.examples: Ship it.

 -- Michael Banck <mbanck@debian.org>  Tue, 08 Jan 2008 01:10:07 +0100

hurd (20070606-3) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches/patches/servers.boot-update.patch: New patch, updates
    the servers.boot script to use the currently used Grub module lines.
  * debian/rules (install/hurd::): Install release/servers.boot into /boot.
  * debian/patches/pfinet_-fno-strict-aliasing.patch: New patch, adding
    -fno-strict-aliasing to pfinet's CFLAGS to fix compilation with gcc-4.2,
    taken from CVS.
  * debian/hurd.dirs: Added /boot.

  [ Samuel Thibault ]
  * debian/patches/patches/libpthread_no-inline.patch: New patch, removes
    extern inlines to fix g++ and gettext FTBFS, by Samuel Thibault.

 -- Michael Banck <mbanck@debian.org>  Thu,  9 Aug 2007 17:08:01 +0200

hurd (20070606-2) unstable; urgency=low

  * debian/patches/libpthread_tls_transitional.patch: New patch,
    implements TLS for libpthread, by Samuel Thibault.
  * debian/patches/libpthread_weak_inline.patch: Removed.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Jul 2007 23:45:39 +0200

hurd (20070606-1) unstable; urgency=low

  * New snapshot from CVS.
    + Includes a patch to make pthread_* function aliases strong.
      (Closes: #407208)
    + debian/patches/console_ioperms.patch: Removed, fixed upstream.
    + debian/patches/no-debian-dir.patch: Removed, applied upstream.
  * debian/local/soundcard.h: Updated by Samuel Thibault.
  * debian/control (Build-Depends): Added libc0.3-dev (>= 2.5-5).
  * debian/copyright: Clarify that the package is maintained by the
    Debian GNU Hurd maintainers and no longer by upstream.
  * debian/control (Build-Depends): Bumped gnumach-dev version to
    2:1.3.99.dfsg.cvs20070526-1.
  * debian/control (hurd/Depends): Bumped gnumach version to
    2:1.3.99.dfsg.cvs20070526-1.

 -- Michael Banck <mbanck@debian.org>  Wed,  6 Jun 2007 18:54:37 +0200

hurd (20060825-2) unstable; urgency=low

  * Rebuilt against gnumach_1:20060826.dfsg.1-1.
  * debian/control (hurd/Depends): Bump versioned dependency of gnumach 
    to 1:20060826.dfsg.1-1.
  * debian/control (Build-Depends): Added versioned Build-Depends on
    gnumach-dev 1:20060826.dfsg.1-1.
  * debian/control (Build-Depends-Indep): Moved texi2html to ...
  * debian/control (Build-Depends): ... here.

 -- Michael Banck <mbanck@debian.org>  Wed, 30 Aug 2006 00:17:15 +0200

hurd (20060825-1) unstable; urgency=low

  * New snapshot from CVS.
  * debian/patches/beta_make.patch: Removed, fixed upstream.
  * debian/patches/ext2fs_large_stores.patch: Resynced.
  * debian/patches/pfinet_dhcp.patch: Likewise.
  * debian/patches/ftpfs_fix.patch: Removed, applied upstream.
  * debian/patches/gcc-4.0_fixes.patch: Likewise.
  * debian/patches/libpthread_need_clockid_t.patch: Likewise.
  * debian/patches/libstore_attribute.patch: Likewise.
  * debian/patches/magic_port_leak.patch: Likewise.
  * debian/patches/pfinet_packet_filter.diff: Likewise. 
  * debian/patches/semaphore_restrict_fix.patch: Likewise.
  * debian/rules (build/hurd::): Assemble all upstream ChangeLogs to one
    big ChangeLog.
  * debian/rules (DEB_INSTALL_CHANGELOGS_ALL): New variable, install it.
  * debian/patches/no_shm_makedev.diff: Renamed to ... 
  * debian/patches/makedev.diff: ... this.
  * debian/patches/console_utf-8.patch: New patch, setting the Hurd
    console to UTF-8 by default. (Closes: #348260)

 -- Michael Banck <mbanck@debian.org>  Sat, 26 Aug 2006 01:00:41 +0200

hurd (20050513-8) unstable; urgency=low

  * debian/patches/pfinet_packet_filter: New patch, adding support for
    gathering incoming packets, taken from CVS.
  * debian/hurd.install: Install hurd.msgids into /usr/share/msgids.
  * debian/hurd.dirs: Added /usr/share/msgids.
  * debian/patches/sysvshm.patch: Removed, it was causing deadlocks.

 -- Michael Banck <mbanck@debian.org>  Fri,  4 Aug 2006 15:54:09 +0200

hurd (20050513-7) unstable; urgency=low

  * debian/patches/diskfs_no_inherit_dir_group.patch: New patch,
    enabling SysV style behaviour (i.e. adopt the user's gid, not the
    one from the parent directory) for group permissions of newly
    created files by default.
  * debian/rules (install/hurd::): Install motd.UTF8 into /etc.
  * debian/patches/install-msgids.diff: New patch, install RPC message
    IDs in $(datadir)/msgids, by Alfred M. Szmidt.
  * debian/hurd.postinst: Create symlinks for /dev/kbd and /dev/mouse to
    /dev/cons/{kbd,mouse} if not present already. (Closes: #355002)
  * debian/patches/no_shm_makedev.diff: New patch, skip /dev/shm device 
    when generating the standard devices.
  * debian/hurd.postinst: Create /dev/shm directory if not present
    already.
  * debian/patches/ext2fs_large_stores.patch: Include <hurd/pager.h>
    rather than "../libpager/pager.h" and add pager to libdiskfs'
    HURDLIBS.
  * local/soundcard.h: New file by Samuel Thibault.
  * debian/rules (install/hurd-dev::) New rule, install soundcard.h
    in debian/tmp/include/sys.

 -- Michael Banck <mbanck@debian.org>  Tue, 25 Apr 2006 19:30:33 +0200

hurd (20050513-6) unstable; urgency=low

  * debian/patches/console_ioperms.patch: New patch by Samuel Thibault.
  * debian/control (hurd): Add versioned Depends on gnumach 1:20050801-3.
  * debian/patches/beta_make.patch: New patch, support newer make.

 -- Michael Banck <mbanck@debian.org>  Thu, 12 Jan 2006 02:42:36 +0100

hurd (20050513-5) unstable; urgency=low

  * debian/patches/thread-throttle.patch: New patch by Sergio Lopez.
  * debian/patches/gcc-4.0_fixes.patch: New patch by Thomas Schwinge.
  * debian/patches/libstore_attribute.patch: New patch by Roland
    McGrath, taken from CVS.
  * debian/rules (CC): Removed.
  * debian/control (Build-Depends): Removed gcc-3.3.
  * debian/patches/libpthread_weak_inline.patch: New patch by Neal
    Walfield.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Dec 2005 13:31:11 +0100

hurd (20050513-4) unstable; urgency=low

  * debian/rules (DEB_CONFIGURE_USER_FLAGS): Build iso9660fs.static
    as well.
  * debian/hurd-udeb.install: Added iso9660fs.static.
  * debian/patches/hurd_console_startup.patch: New patch, adding
    support for starting the Hurd console on bootup.
  * debian/hurd.dirs: Added `etc/default'.
  * debian/hurd-console.default: New file.
  * debian/rules (install/hurd::) Install it into debian/hurd/etc/default.
  * debian/hurd.postinst: Removed creation of user `login'.
  * debian/NEWS: Mention the possibility of starting the Hurd console
    on bootup.
  * debian/patches/magic_port_leak.patch: New patch by Marcus
    Brinkmann, taken from CVS.
  * debian/patches/ftpfs_fix.patch: New patch by Samuel Thibault.
  * debian/patches/sysvshm.patch: New patch by Marcus Brinkmann.
  * debian/patches/libpager_update_seqno.patch: New patch by Sergio Lopez.
  * debian/patches/semaphore_restrict_fix.patch: New patch by Samuel
    Thibault. (Closes: #320121)
  * debian/control (Build-Depends): Added gcc-3.3.
  * debian/rules (CC): New variable, set to gcc-3.3.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Aug 2005 14:45:55 +0200

hurd (20050513-3) unstable; urgency=low

  * debian/control (hurd-doc): Fix description to indicate the manual
    is included in HTML and not PostScript format. (Closes: #309748)
  * debian/control (hurd-dev): Provide/Replace/Conflict libsem-dev.
  * debian/control (Build-Depends): Version dependency on debhelper to
    >= 4.2.
  * debian/control (hurd-udeb): New package.
  * debian/hurd-udeb.install: New file.
  * debian/patches/libpthread_need_clockid_t.patch: Updated from CVS.

 -- Michael Banck <mbanck@debian.org>  Thu,  9 Jun 2005 01:40:31 +0200

hurd (20050513-2) unstable; urgency=low

  * debian/patches/libpthread_need_clockid_t.patch: New patch by Neal
    Walfield.
  * debian/patches/pflocal.patch: New patch by Neal Walfield.

 -- Michael Banck <mbanck@debian.org>  Tue, 17 May 2005 18:37:08 +0200

hurd (20050513-1) unstable; urgency=low

  * New snapshot from CVS.
    + Contains a POSIX semaphore implementation by Neal Walfield.
    + Contains more libpthread fixes for test suites by Neal Walfield.
  * debian/hurd.postinst: Handle /bin/fakeroot-hurd by alternatives.

 -- Michael Banck <mbanck@debian.org>  Sun, 15 May 2005 13:00:12 +0200

hurd (20050507-1) unstable; urgency=low

  * New snapshot from CVS.
    + Contains libpthread fixes for various test suites by Neal
      Walfield.
  * debian/changelog (20050119-3): Added overlooked Closes: tag.
  * debian/control (hurd-dbg/Priority:) Set to extra as requested by
    the ftp-masters.
  * debian/patches/isofs_boot.patch: Removed, applied upstream.
  * debian/patches/libpthread_linker_script.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat,  7 May 2005 15:28:51 +0200

hurd (20050119-3) unstable; urgency=low

  * debian/control (hurd-dbg): New package.
  * debian/rules (DEB_DH_STRIP_ARGS): Add support for hurd-dbg.
  * debian/hurd-dbg.dirs: New file.
  * debian/control (hurd-doc): New package. (Closes: #264858)
    (Build-Depends-Indep): Added texi2html.
  * debian/rules (build/hurd::): Generate html version of the manual.
  * debian/hurd-doc.info: New file.
  * debian/hurd-doc.docs: New file.

 -- Michael Banck <mbanck@debian.org>  Fri, 15 Apr 2005 23:03:34 +0200

hurd (20050119-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/hurd-dev.install: Install development libraries into /lib,
    not /usr/lib.
  * debian/hurd.install: Install Hurd console drivers into 
    /usr/lib/hurd/console, not /lib/hurd/console.
  * debian/copyright: Clarify that the FSF is the copyright holder.
  * debian/copyright: Update download location to Savannah's GNU Hurd
    project page.

 -- Michael Banck <mbanck@debian.org>  Mon,  4 Apr 2005 12:08:40 +0200

hurd (20050119-1) unstable; urgency=low

  * New snapshot from CVS.
    + Contains libpthread header fixes by Neal Walfield and
      Pietro Ferrari. (Closes: #184344)
    + Contains console repeaters by Marco Gerards.
    + Contains mount argp fixes. (Closes: #151407)

  [ Michael Banck]
  * debian/patches/exec.patch: Removed, no longer needed.
  * debian/patches/mouse.patch: Likewise.
  * debian/patches/console_repeater.patch: Removed, applied upstream.
  * debian/patches/libcons_repeater.patch: Likewise.
  * debian/patches/netfs_io_select.patch: Likewise.
  * debian/patches/netfs_nonblock.patch: Likewise.
  * debian/patches-contrib/kbd.patch: Removed, no longer needed.
  * debian/patches/libpthread_linker_script.patch: New patch.  Install
    libpthread.a linker script correctly. (Closes: #291307)
  * debian/rules (install/hurd::): Rename /bin/fakeroot to
    /bin/fakeroot-hurd.
  * debian/control (hurd): Removed fakeroot from Provides:, Replaces:
    and Conflicts:. (Closes: #293511)
  * debian/hurd.install: Install debian/tmp/bin/fakeroot-hurd instead
    of debian/tmp/bin/fakeroot.
  * NEWS: New file.  Explain the console-client command line interface
    changes.
  * debian/patches/siocgifhwaddr.patch: New patch by Marco Gerards.
  * debian/patches/isofs_boot.patch: New patch by Alfred M. Szmidt.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Feb 2005 20:52:07 +0100

hurd (20040508-6) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches/pfinet_dhcp.patch: New patch by Marco Gerards. 

 -- Michael Banck <mbanck@debian.org>  Sat, 15 Jan 2005 21:04:33 +0100

hurd (20040508-5) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches-contrib/ext2fs_20040930.diff: Moved to ...
  * debian/patches/ext2fs_large_stores.diff: ... here, updated from
    Ognyan Kulev's 20041111 version.  Set DISK_CACHE_BLOCKS to
    65536 in ext2fs.h.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Dec 2004 17:54:32 +0100

hurd (20040508-4) unstable; urgency=low

  [ Michael Banck ]
  * debian/changelog: Added back 20040301-1 entry which got lost.
  * debian/hurd.install: Do not install /sbin/fsck. (Closes: #272655)
  * debian/patches/rc.patch: Updated to use e2fsprog's /sbin/fsck
    command-line options.  Make sure the root file system is read-only
    during the fsck run, and update it to be writable again if fsck
    succeeds. (Closes: #273508)
  * debian/patches-contrib/ext2fs_20040930.diff: New file.  Just put it
    in debian/patches and recompile the package to get (experimental)
    support for ext2 files systems larger than 2GB.
  * debian/control (Maintainer): Changed Maintainer address.

  [ Guillem Jover ]
  * debian/hurd.postinst:
    - Move /bin/login suid root chmod to debian/rules.
    - Set suid bit to other binaries (/bin/ps, /bin/ids, /bin/w).
      (Closes: #273507)
      Thanks Ognyan Kulev <ogi@fmi.uni-sofia.bg>.

 -- Michael Banck <mbanck@debian.org>  Thu,  7 Oct 2004 20:11:38 +0200

hurd (20040508-3) unstable; urgency=low

  * debian/local/rc: Removed.
  * debian/patches/rc.patch: New file. (Closes: #254147)
  * debian/hurd.install: Install tmp/libexec/rc.
  * debian/patches/console_switch3.patch: Removed.
  * debian/patches/console_repeater.patch: New patch by Marco Gerards.
  * debian/patches/libcons_repeater.patch: New patch by Marco Gerards.
  * debian/patches/netfs_io_select.patch: New patch by Marco Gerards.
  * debian/patches/netfs_nonblock.patch: New patch by Marco Gerards.
  * Rebuilt against glibc_2.3.2.ds1-16.
  * debian/hurd.postinst: Make sure /bin/login is suid. (Closes: #251863)
  * debian/control (Uploaders): Added myself.
  * debian/hurd.postinst: Only create the tty devices if they do not
    exist already. (Closes: #268347) 

 -- Michael Banck <mbanck@debian.org>  Thu,  9 Sep 2004 22:32:07 +0200

hurd (20040508-2) unstable; urgency=low

  * Fix typo in postinst.  (Closes: #253662)
    Thanks to Michael Banck.
  * Support /usr tree in startup scripts (Closes: #229572)
    Thanks to Guillem Jover

 -- Jeff Bailey <jbailey@raspberryginger.com>  Fri, 11 Jun 2004 11:17:26 -0400

hurd (20040508-1) unstable; urgency=low

  * New snapshot from CVS.
  * Switch packaging to cdbs
  * Do not provide /boot/serverboot or /boot/servers.boot
  * Update policy to 3.6.1.0
  * Do not provide update-rc.d, use the one from sysvinit instead
    (Closes: #246813) - Thanks to Robert Millan
  * Do not provide /sbin/fsck, use the one from e2fsprogs instead
    Thanks to Robert Millan

 -- Jeff Bailey <jbailey@raspberryginger.com>  Sat,  8 May 2004 16:55:18 -0400

hurd (20040301-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.  exec/exec.c PT_GNU_STACK work-around.
    Provide example entries for new console in config/ttys.
  * debian/rules: Do not call autoconf.
  * debian/control: Remove build dependency autoconf.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  1 Mar 2004 01:36:23 +0200

hurd (20021118-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual, with bug fixes from David Walter.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 18 Nov 2002 21:32:22 +0200

hurd (20021011-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.
    Build libpthread.
    debian/control: Add libncursesw5-dev as build-dependency.
    debian/shlibs: Add libpthread
    debian/control: Add myself as an uploader.

 -- Neal H. Walfield <neal@debian.org>  Fri, 11 Oct 2002 21:42:21 -0400

hurd (20020918-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 18 Sep 2002 23:13:06 +0200

hurd (20020804-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun,  4 Aug 2002 20:46:28 +0200

hurd (20020523-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 23 May 2002 15:29:40 +0200

hurd (20020418-1) unstable; urgency=low

  * New snapshot from CVS.
    kbd, mouse as usual.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 18 Apr 2002 15:22:39 +0200

hurd (20011105-1) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual (well, the intention was there :).
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  5 Nov 2001 00:00:26 +0100

hurd (20011016-1) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 16 Oct 2001 19:43:21 +0200

hurd (20011013-1) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.
  * debian/rules: Change way how to find executables by Kevin Kreamer.
  * debian/control: Add `file' to build dependencies by Kevin Kreamer.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 13 Oct 2001 01:05:30 +0200

hurd (20010817-2) unstable; urgency=low

  * Include a copy of update-rc.d, moved from dpkg to init providing
    package.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun,  2 Sep 2001 19:40:00 +0200

hurd (20010817-1) unstable; urgency=low

  * New snapshot from CVS, closes: #105476, #39894.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 17 Aug 2001 22:16:01 +0200

hurd (20010718-1) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 18 Jul 2001 21:43:52 +0200

hurd (20010608) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    Compiled with -O2 rather than -O3.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  8 Jun 2001 23:02:47 +0200

hurd (20010527) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 27 May 2001 01:34:21 +0200

hurd (20010426) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
    storeio hack to prevent double activation.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 27 Apr 2001 00:09:56 +0200

hurd (20010311) unstable; urgency=low

  * New snapshot from CVS.
  * Additional patches:
    kbd, mouse as usual.
    Change terminal type to mach-color.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 11 Mar 2001 22:45:21 +0100

hurd (20010111) unstable; urgency=low

  * New snapshot from CVS, containing lots of small bug fixes, and:
    + Together with gnumach 1.2-9, you can access large stores with
    storeinfo, storeread (because libstore uses the new interface in
    gnumach, and off64_t internally).
    + pfinet contains support for network ioctls. The corresponding
    changes in the glibc library are not available in Debian yet, though.
  * streamdev is renamed to streamio.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 12 Jan 2001 00:06:41 +0100

hurd (20001204) unstable; urgency=low

  * New snapshot from CVS, with a couple of bug fixes:
    pfinet: Don't leak references.
    ext2fs, ufs: Avoid a dn_set_?time vs sync thread race.
    Corretly deny too long filenames.
    nfsd: Fix a couple of memory leaks.

  * Additional patchs:
    libdiskfs: Don't crash when symlink target is the empty string.
    streamdev, kbd, mouse: New translators for X and klog device.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  4 Dec 2000 15:18:39 +0100

hurd (20001127) unstable; urgency=low

  * New snapshot from CVS, really fixes isofs now.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 27 Nov 2000 21:07:03 +0100

hurd (20001126) unstable; urgency=low

  * New snapshot from CVS, closes: #68417, #69281, #68626
  * Fix in 20001030 closes: #72319
  * debian/control: Add build dependencies, closes: #75734

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 26 Nov 2000 05:53:19 +0100

hurd (20001030) unstable; urgency=low

  * New snapshot from CVS.
  * Still contains all the goodies, streadev, kbd, mouse. Now opening
  kbd, mouse more than once doesn't crash them (thanks Erik Verbruggen
  <ejv@cs.kun.nl>)
  * sutils/MAKEDEV.sh: kmsg is really klog.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Tue, 30 Oct 2000 18:02:29 +0200

hurd (20000921) unstable; urgency=low

  * New snapshot from CVS
  * Add streamdev by OKUJI Yoshinori
  (source: ftp://alpha.gnu.org/contrib/okuji/hurd/streamdev-19990920.tar.gz)
  * Add kbd and mouse by UCHIYAMA Yasushi <uch@nop.or.jp>.
  * sutils/MAKEDEV.sh: Add kbd and kmsg. No sense to add mouse, as you need
  to configure it (see /hurd/mouse --help).

 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 23 Sep 2000 04:27:58 +0200

hurd (20000803) unstable; urgency=low

  * New snapshot from CVS.
  * isofs: Patch to fix symlink handling.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  3 Aug 2000 21:09:44 +0200

hurd (20000726) unstable; urgency=low

  * New snapshot from CVS.
  * Fixes the infamous zero hole bug (actually both of them).
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Wed, 26 Jul 2000 02:24:06 +0200

hurd (20000703) unstable; urgency=low

  * New snapshot from CVS.
  * exec/hashexec.c (check_hashbang: Fix off by one error in line 178.
  Patch by Kalle Olavi Niemital.
  
 -- Marcus Brinkmann <bug-hurd@gnu.org>  Mon,  3 Jul 2000 00:44:47 +0200

hurd (20000130) unstable; urgency=low

  * New snapshot from CVS. Closes: Bug#54282, Bug#40302, Bug#56076.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 30 Jan 2000 14:55:39 +0100

hurd (19991209) unstable; urgency=low

  * New snapshot from CVS.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  9 Dec 1999 23:43:23 +0100

hurd (19991022) unstable; urgency=low

  * New snapshot from CVS.
  * libdiskfs/init-startup.c: Disable periodic syncing before shutting down.
    This fixes the fs-unclean-on-reboot bug!

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri, 22 Oct 1999 21:32:02 +0200

hurd (19991004) unstable; urgency=high

  * New snapshot from CVS.
    term: Realize bogus devices.
    ext2fs: Important bug fixes!

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun,  3 Oct 1999 18:01:17 +0200

hurd (19990923) unstable; urgency=low

  * New snapshot from CVS.
    MAKEDEV: pty created with mode 0666.
    Implements pathconf for libdiskfs and libnetfs.
    Various bug fixes.
  * Development package now includes pic libraries.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 19 Sep 1999 19:29:00 +0200

hurd (19990907) unstable; urgency=low

  * New snapshot from CVS.
  * gzip /boot/serverboot to /boot/serverboot.gz

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 23 Aug 1999 15:12:10 +0200

hurd (19990725) unstable; urgency=low

  * New snapshot from CVS.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 25 Jul 1999 16:16:03 +0200

hurd (19990714) unstable; urgency=low

  * New snapshot from CVS.
  * debian/rules: etc/motd is in base-files, do not include it.
  * Activate split-init.

 -- Marcus Brinkmann <brinkmd@debian.org>  Wed, 14 Jul 1999 16:38:00 +0200

hurd (19990616) unstable; urgency=low

  * New snapshot from CVS.
  * Now contains info and ps documentation.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 17 Jun 1999 17:35:54 +0200

hurd (19990524) unstable; urgency=low

  * New snapshot from CVS.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 24 May 1999 15:09:45 +0200

hurd (19990523) unstable; urgency=low

  * New snapshot from CVS, fixes: #38062, #37670, #37878, #37944.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 24 May 1999 01:08:26 +0200

hurd (19990517fixed) unstable; urgency=low

  * debian/shlibs: corrected.
  * exec/hashexec.c: Applied patch by Roland to make it work.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 17 May 1999 00:25:11 +0200

hurd (19990517) unstable; urgency=low

  * New snapshot from CVS.
  * Add shlibs file.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 16 May 1999 15:28:09 +0200

hurd (19990425-1) unstable; urgency=low

  * Put shared library symlinks into the hurd-dev package.
  * Clarify instructions in provided servers.boot.
  * libfshelp/fetch-root.c: De-patched a change by tb which produced
    strange errors.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu, 29 Apr 1999 22:47:51 +0200

hurd (19990212-2) unstable; urgency=low

  * debian/control: Added Depends line for Hurd.
  * Update docs to reflect new group maintainership.
  * debian/copyright: Hurd libraries are *not* under the LGPL, so add a
    clarifying note.
  * Put static libraries and header files into /usr/lib and /usr/include
    for people without the /usr symlink.

 -- Gordon Matzigkeit <bug-hurd@gnu.org>  Wed, 17 Feb 1999 15:40:44 -0600

hurd (19990212-1) unstable; urgency=low

  * New upstream version from CVS.
  * Deleted old libthreads... there's no going back now.

 -- Gordon Matzigkeit <gord@debian.org>  Fri, 12 Feb 1999 03:25:55 -0600

hurd (19981204-1) unstable; urgency=low

  * New upstream release, supposed to work with glibc 2.0.106.
  * Commented out use of old libthreads.

 -- Marcus Brinkmann <brinkmd@debian.org>  Sun, 20 Dec 1998 04:24:40 +0100

hurd (19980915-2) unstable; urgency=low

  * exec/hashexec.c: Applied patch by Thomas Bushnell to fix make.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  6 Nov 1998 23:10:11 +0100

hurd (19980915-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Strip all binaries.
  * debian/TODO: New file.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  8 Oct 1998 03:34:40 +0200

hurd (19980716-2) unstable; urgency=low

  * Reverted libthreads to provide threadsafe malloc, as we use older
    version of glibc2 for now.
  * Do not remove size 0 files in 'rules clean', because hurd depends on
    them.
  * Do not build profiling libraries.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue,  4 Aug 1998 21:58:55 +0200

hurd (19980716-1) unstable; urgency=low

  * Initial Version.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue,  4 Aug 1998 21:58:55 +0200
